import { r, h as e, F as i } from "./index.61732cef.js";
import { c as o } from "./index-orsBiyT_.fc4357c3.js";
import "react";
import "react-dom";
const t = () => ":host{display:inline-flex}", l = class {
  constructor(s) {
    r(this, s), this.size = 24;
  }
  render() {
    const s = o("swirl-symbol", `swirl-symbol--size-${this.size}`);
    return e("svg", { key: "9b86c116e2eb5c2a10d0f52625ee6ffffdec74ac", class: s, fill: "none", height: this.size, part: "symbol", viewBox: "0 0 24 24", width: this.size, xmlns: "http://www.w3.org/2000/svg" }, e(i, { key: "f55cd4ac4b6aa05bf1b1932c5a82e2cc8bf329f5" }, e("path", { key: "f7546ab3560b453f978662f56587d3d45f7f16bd", d: "M17 3H7C6.47005 3.00158 5.96227 3.2128 5.58753 3.58753C5.2128 3.96227 5.00158 4.47005 5 5V21L12 18L19 21V5C18.9984 4.47005 18.7872 3.96227 18.4125 3.58753C18.0377 3.2128 17.5299 3.00158 17 3Z", fill: "currentColor" })));
  }
};
l.style = t();
export {
  l as swirl_symbol_bookmark
};
